<?php

class actionFaqCatEdit extends cmsAction {

    public function run($id) {
        if(!$id){cmsCore::error404();}
        $form = $this->getForm('cat', array('edit'));
        $is_submitted = $this->request->has('submit');
        $cat = $this->model->getItemById('faq_cats', $id);
        if($is_submitted) {
            $cat = $form->parse($this->request, $is_submitted);
            $errors = $form->validate($this, $cat);
            if(!$errors){
                $cat_id = $this->model->editFaqCat($id, $cat);
				if($cat_id) {
					cmsUser::addSessionMessage(LANG_FAQ_SUCCESS_UPDCAT, 'success');
				} else {
					cmsUser::addSessionMessage(LANG_FAQ_ERROR_UPDCAT, 'error');
				}
                $this->redirectToAction('cats');
            } else {
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
        }

        return cmsTemplate::getInstance()->render('backend/cat_add', array(
            'do' => 'edit',
            'cat' => $cat,
            'form' => $form,
            'errors' => isset($errors) ? $errors : false
        ));

    }
}