<?php

class actionFaqCatAdd extends cmsAction {

    public function run(){
        $form = $this->getForm('cat');
        $is_submitted = $this->request->has('submit');
        if ($is_submitted) {
            $cat = $form->parse($this->request, $is_submitted);
            $errors = $form->validate($this, $cat);
            if(!$errors) {
                $cat_id = $this->model->addCat($cat);
                if($cat_id) {
                    cmsUser::addSessionMessage(LANG_FAQ_SUCCESS_ADDCAT, 'success');
                }
                $this->redirectToAction('cats');
            } else {
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
        }

        return $this->cms_template->render('backend/cat_add', array(
            'do' => 'add',
            'cat' => isset($cat) ? $cat : false,
            'form' => $form,
            'errors' => isset($errors) ? $errors : false
        ));
    }
}