<?php

class actionFaqFaqAdd extends cmsAction {

    public function run($id = FALSE) {
        $form = $this->getForm('faq', array('add', $id));
        $is_submitted = $this->request->has('submit');
        if($is_submitted){
            $faqs = $form->parse($this->request, $is_submitted);
            $errors = $form->validate($this, $faqs);
            if(!$errors){
                $faq_id = $this->model->addFaq($faqs);
                if ($faq_id) {
                    cmsUser::addSessionMessage(LANG_FAQ_SUCCESS_ADD, 'success');
                }
                $this->redirectToAction('faqs');
            } else {
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
        }

        return $this->cms_template->render('backend/faq', array(
            'do' => 'add',
            'faqs' => isset($faqs) ? $faqs : false,
            'form' => $form,
            'errors' => isset($errors) ? $errors : false
        ));
    }
}